- Qt 6.10
- Qt WebEngine
- <qtwebenginecoreglobal.h> - Global Qt WebEngine Core Declarations
- Qt 6.10.2 Reference Documentation

# <qtwebenginecoreglobal.h> - Global Qt WebEngine Core Declarations

Helper functions for the Qt WebEngine Core module. More...

Header: | `#include <qtwebenginecoreglobal.h>`

## Functions

`(since 6.3)` const char * | qWebEngineChromiumSecurityPatchVersion()
`(since 6.2)` const char * | qWebEngineChromiumVersion()
`(since 6.6)` QString | qWebEngineGetDomainAndRegistry(const QUrl &url)
`(since 6.2)` const char * | qWebEngineVersion()

## Detailed Description

## Function Documentation

### `[noexcept, since 6.3]` const char *qWebEngineChromiumSecurityPatchVersion()

Returns the version number of last Chromium version security patches have been merged from.

This function was introduced in Qt 6.3.

### `[noexcept, since 6.2]` const char *qWebEngineChromiumVersion()

Returns the version number of Chromium used by Qt WebEngine at run-time as a string (for example, "83.0.4103.122").

This function was introduced in Qt 6.2.

### `[since 6.6]` QString qWebEngineGetDomainAndRegistry(const QUrl &url)

Returns the domain of the host, that is, the effective top-level domain (eTLD) and the first domain below it, from url.

This function supports internationalized domain names (IDN). In this case, it returns the domain encoded in Punycode.

If the host is not a domain, returns an empty string.

This function was introduced in Qt 6.6.

### `[noexcept, since 6.2]` const char *qWebEngineVersion()

Returns the version number of Qt WebEngine at run-time as a string (for example, "6.2.0"). This may be a different version than the version the application was compiled against, and a different version than Qt.

This function was introduced in Qt 6.2.